#ifndef _pc_foundation_attributed_object_h_
#define _pc_foundation_attributed_object_h_

/*
 *  AttributedObject.h
 *  PcFoundation
 *
 *  Created by Patrick Coleman on 6/8/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */
 
#include <string>
#include <vector>
 
using std::string;
using std::vector;
 
namespace PcFoundation {
 
class AttributedObject {
 
public:
	AttributedObject() {};
	AttributedObject(const vector<string>& attributes) : attributes(attributes) {};
	int numAttributes() const;
	string attribute(int i) const;
	void appendAttribute(const string& attribute);
	void setAttribute(int i, const string& attribute);
	void clear();
	
private:
	vector<string> attributes;
 
};
 
}
 
#endif

