#ifndef _pc_foundation_referenced_object_h_
#define _pc_foundation_referenced_object_h_

/*
 *  ReferencedObject.h
 *  PcFoundation
 *
 *  Created by Patrick Coleman on 6/15/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */

#include "Object.h"

namespace PcFoundation {


class ReferencedObject: public Object {

public:
	ReferencedObject() :numReferences(0) {}

public:
	int numReferences;

private:
	ReferencedObject(const ReferencedObject&);
	ReferencedObject& operator=(const ReferencedObject&);
};

}



#endif