#ifndef _pc_foundation_uber_object_h_
#define _pc_foundation_uber_object_h_

/*
 *  UberObject.h
 *  PcFoundation
 *
 *  Created by Patrick Coleman on 6/18/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */

#include "TypedObject.h"
#include "ReferencedObject.h"

namespace PcFoundation {

/**
	abstract base class for objects that support:
		type identification
		pointer copying
		smart pointer referencing via PcFoundation References
*/
class UberObject: public TypedObject, public ReferencedObject {

public:
	UberObject(const string& type): TypedObject(type) {};
	
	//virtual UberObject* copy() const = 0;

};

}

#endif