/*
 *  MatrixTransform.cpp
 *  PcGeom
 *
 *  Created by Patrick Coleman on 7/7/09.
 *  Copyright 2009 __MyCompanyName__. All rights reserved.
 *
 */

#include "MatrixTransform.h"

namespace PcGeom {

MatrixTransform::MatrixTransform() {

}

MatrixTransform::MatrixTransform(const Matrix4& matrix) :
	mat(matrix) {
	
}

Matrix4 MatrixTransform::matrix() const {
	return mat;
}

Point3 MatrixTransform::operator()(const Point3& p) const {
	return mat * p;
}

Vector3 MatrixTransform::operator()(const Vector3& v) const {
	return mat * v;
}

}