/*
 *  Transform.cpp
 *  PcGeom
 *
 *  Created by Patrick Coleman on 7/7/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */

#include "Transform.h"
#include "MatrixTransform.h"

namespace PcGeom {

MatrixTransform Transform::operator+(const Transform& rhs) const {
	return MatrixTransform(matrix() * rhs.matrix());
}

}