#ifndef _pc_geom_translation_h_
#define _pc_geom_translation_h_

/*
 *  Translation.h
 *  PcGeom
 *
 *  Created by Patrick Coleman on 7/7/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */

#include "Transform.h"

namespace PcGeom {
	
class Translation: public Transform {

public:
	Translation();
	Translation(const Point3& p);
	Translation(const Vector3& v);
	
	virtual Matrix4 matrix() const;
	virtual Point3 operator()(const Point3& p) const;
	virtual Vector3 operator()(const Vector3& v) const;
	
private:
	Vector3 translate;
};
	
}

#endif