/*
 *  functions.cpp
 *  PcMath
 *
 *  Created by Patrick Coleman on 8/27/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */

#include "functions.h"

namespace PcMath {

float interpolate(const float& a, const float& b, double t) {
	return a + t * (b - a);
}


double interpolate(const double& a, const double& b, double t) {
	return a + t * (b - a);
}

double degrees(double val) {
	return val * 180.0 / M_PI;
}

double radians(double val) {
	return val * M_PI / 180.0;
}

double min(double val1, double val2) {
	if (val1 < val2) {
		return val1;
	} else {
		return val2;
	}
}

int intMin(int val1, int val2) {
	if (val1 < val2) {
		return val1;
	} else {
		return val2;
	}
}


}

