#ifndef _pc_math_functions_h_
#define _pc_math_functions_h_

/*
 *  functions.h
 *  PcMath
 *
 *  Created by Patrick Coleman on 5/22/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */

#include <math.h>

namespace PcMath {

float interpolate(const float& a, const float& b, double t);
double interpolate(const double& a, const double& b, double t);
double degrees(double val);
double radians(double val);
double min(double val1, double val2);
int intMin(int val1, int val2);

}

#endif