/*
 *  Contact.cpp
 *  PcMotion
 *
 *  Created by Patrick Coleman on 8/18/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */

#include "Contact.h"

namespace PcMotion {

Contact::Contact(double startTime, double endTime, Point3 position) :
	startTime(startTime), endTime(endTime), position(position) {
	
}

bool Contact::operator<(const Contact& rhs) const {
	return (startTime < rhs.startTime);
}	


}