/*
 *  Motion.cpp
 *  PcMotion
 *
 *  Created by Patrick Coleman on 5/18/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */

#include "Motion.h"

namespace PcMotion {

Motion::Motion(double startTime) : startTime(startTime) {

}

Motion::Motion(double startTime, const vector<string>& transAttrs, const vector<string>& rotAttrs) :
	RigidHierarchicalObject(transAttrs, rotAttrs),
	startTime(startTime) {
	
}
	
}
