#ifndef _pc_motion_pose_selector_h_
#define _pc_motion_pose_selector_h_

/*
 *  PoseSelector.h
 *  PcMotion
 *
 *  Created by Patrick Coleman on 7/26/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */

#include <vector>

#include "SampledMotion.h"

namespace PcMotion {

using std::vector;

class PoseSelector {

public:
	PoseSelector(SampledMotion* sm);
	
	virtual vector<int> getPoseIndices() = 0;

protected:
	SampledMotion* motion;

};

}


#endif