#ifndef _pc_motion_skeletal_converter_h_
#define _pc_motion_skeletal_converter_h_

/*
 *  SkeletalConverter.h
 *  PcMotion
 *
 *  Created by Patrick Coleman on 7/2/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */

#include "MotionTransformation.h"
#include "RigidHierarchy.h"

namespace PcMotion {

class SkeletalConverter: public MotionTransformation {

public:
	SkeletalConverter(const RigidHierarchy& hierarchy, const SampledMotion* referenceMotion);
	//virtual void apply(Reference<USampledMotion>& motion) const;
	virtual void apply(SampledMotion* motion) const;
	
private:
	RigidHierarchy rh;
	const SampledMotion* referenceMotion;
};


}

#endif
