#ifndef _pc_foundation_typed_object_h_
#define _pc_foundation_typed_object_h_

/*
 *  TypedObject.h
 *  PcFoundation
 *
 *  Created by Patrick Coleman on 6/12/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */

#include <string>

#include "Object.h"

namespace PcFoundation {

using std::string;

/**
	superclass for non-asinine typed objects
	_not_ smart for large scale numeric data
*/
class TypedObject: public Object {

public:
	TypedObject(const string& type): typeString(type) {};
	
	string type() const;
	
private:
	string typeString;

};

}

#endif