#ifndef _pc_geom_matrix_transform_h_
#define _pc_geom_matrix_transform_h_

/*
 *  MatrixTransform.h
 *  PcGeom
 *
 *  Created by Patrick Coleman on 7/7/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */

#include "Transform.h"

namespace PcGeom {

class MatrixTransform: public Transform {

public:
	MatrixTransform();
	MatrixTransform(const Matrix4& matrix);
	
	virtual Matrix4 matrix() const;
	virtual Point3 operator()(const Point3& p) const;
	virtual Vector3 operator()(const Vector3& v) const;

private:
	Matrix4 mat;

};

}

#endif