#ifndef _pc_geom_rotation_h_
#define _pc_geom_rotation_h_

/*
 *  Rotation.h
 *  PcGeom
 *
 *  Created by Patrick Coleman on 6/11/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */

#include "Transform.h"

namespace PcGeom {

class QRotation;

/**
	abstract base class for rotations that can operate on point3's and vector3's
	parameterized by {float, double}
	there is intentionally no data stored here (i.e. a matrix) to keep memory down
*/
class Rotation: public Transform {

public:

	
	/**
	
	*/
	QRotation qRotation() const;
};

}

#endif
