#ifndef _pc_motion_u_sampled_motion_h_
#define _pc_motion_u_sampled_motion_h_

/*
 *  USampledMotion.h
 *  PcMotion
 *
 *  Created by Patrick Coleman on 6/15/09.
 *  Copyright 2009 patrick coleman. All rights reserved.
 *
 */

#include <PcFoundation/UberObject.h>

#include "SampledMotion.h"

namespace PcMotion {

using PcFoundation::UberObject;

class USampledMotion: public SampledMotion, public UberObject {
public:
	USampledMotion(double startTime, double dTime = 1.0f);
	USampledMotion(double startTime, 
				   const vector<string>& transAttrs, 
				   const vector<string>& rotAttrs,
				   double dTime = 1.0f);
				   
	USampledMotion* copy() const;
};



};

#endif